package ru.yandex.direct.api.v5.context.units;

import javax.annotation.ParametersAreNonnullByDefault;

@ParametersAreNonnullByDefault
public class SubclientClientData {

    private Long subclientClientId;
    private String subclientLogin;
    private Long subclientUid;
    private Integer subclientUnitsDaily;
    private Integer subclientUnitsManual;

    public Long getSubclientClientId() {
        return subclientClientId;
    }

    public String getSubclientLogin() {
        return subclientLogin;
    }

    public Long getSubclientUid() {
        return subclientUid;
    }

    public Integer getSubclientUnitsDaily() {
        return subclientUnitsDaily;
    }

    public Integer getSubclientUnitsManual() {
        return subclientUnitsManual;
    }

    public SubclientClientData withSubclientClientId(Long subclientClientId) {
        this.subclientClientId = subclientClientId;
        return this;
    }

    public SubclientClientData withSubclientLogin(String subclientLogin) {
        this.subclientLogin = subclientLogin;
        return this;
    }

    public SubclientClientData withSubclientUid(Long subclientUid) {
        this.subclientUid = subclientUid;
        return this;
    }

    public SubclientClientData withSubclientUnitsDaily(Integer subclientUnitsDaily) {
        this.subclientUnitsDaily = subclientUnitsDaily;
        return this;
    }

    public SubclientClientData withSubclientUnitsManual(Integer subclientUnitsManual) {
        this.subclientUnitsManual = subclientUnitsManual;
        return this;
    }

}
